summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-misc/latte-dock/latte-dock-0.9.10.ebuild')
-rw-r--r--kde-misc/latte-dock/latte-dock-0.9.10.ebuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/kde-misc/latte-dock/latte-dock-0.9.10.ebuild b/kde-misc/latte-dock/latte-dock-0.9.10.ebuild
new file mode 100644
index 00000000000..5b5fb645ae2
--- /dev/null
+++ b/kde-misc/latte-dock/latte-dock-0.9.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KFMIN=5.64.0
+QTMIN=5.12.3
+inherit ecm kde.org
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Elegant dock, based on KDE Frameworks"
+HOMEPAGE="https://kde.org/applications/utilities/org.kde.latte-dock"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+
+# drop qtdeclarative subslot operator when QT_MINIMAL >= 5.14.0
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5=
+ >=dev-qt/qtgraphicaleffects-${QTMIN}:5
+ || (
+ >=dev-qt/qtgui-${QTMIN}:5[X(-)]
+ >=dev-qt/qtgui-${QTMIN}:5[xcb(-)]
+ )
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ >=kde-frameworks/kactivities-${KFMIN}:5
+ >=kde-frameworks/karchive-${KFMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kcrash-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/kglobalaccel-${KFMIN}:5
+ >=kde-frameworks/kguiaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kiconthemes-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/knotifications-${KFMIN}:5
+ >=kde-frameworks/kpackage-${KFMIN}:5
+ >=kde-frameworks/kwayland-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ >=kde-frameworks/plasma-${KFMIN}:5[X]
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtquickcontrols-${QTMIN}:5
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+"
+
+DOCS=( CHANGELOG.md README.md )